This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1008099 - [abrt] gnome-tweak-tool-3.9.91-1.fc20: sem_post: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] gnome-tweak-tool-3.9.91-1.fc20: sem_post: Process /usr/bin/python2.7 w...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pygobject3 (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Extras Quality Assurance
abrt_hash:6b814c072a66033f88e53174cad...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-14 13:38 EDT by Martin Garton
Modified: 2015-06-29 08:22 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:22:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.15 KB, text/plain)
2013-09-14 13:38 EDT, Martin Garton
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-14 13:38 EDT, Martin Garton
no flags Details
File: core_backtrace (17.90 KB, text/plain)
2013-09-14 13:38 EDT, Martin Garton
no flags Details
File: dso_list (15.92 KB, text/plain)
2013-09-14 13:38 EDT, Martin Garton
no flags Details
File: environ (1.28 KB, text/plain)
2013-09-14 13:38 EDT, Martin Garton
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-14 13:38 EDT, Martin Garton
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-14 13:38 EDT, Martin Garton
no flags Details
File: maps (69.00 KB, text/plain)
2013-09-14 13:38 EDT, Martin Garton
no flags Details
File: open_fds (1.36 KB, text/plain)
2013-09-14 13:38 EDT, Martin Garton
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-09-14 13:38 EDT, Martin Garton
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 709223 None None None Never

  None (edit)
Description Martin Garton 2013-09-14 13:38:02 EDT
Version-Release number of selected component:
gnome-tweak-tool-3.9.91-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        python /usr/bin/gnome-tweak-tool
crash_function: sem_post
executable:     /usr/bin/python2.7
kernel:         3.11.0-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sem_post at ../nptl/sysdeps/unix/sysv/linux/x86_64/sem_post.S:33
 #1 PyThread_release_lock at /usr/src/debug/Python-2.7.5/Python/thread_pthread.h:349
 #2 g_object_ref at gobject.c:3069
 #3 g_settings_backend_dispatch_signal at gsettingsbackend.c:329
 #4 g_settings_backend_changed at gsettingsbackend.c:400
 #5 dconf_engine_change_notify at dconfsettingsbackend.c:250
 #6 dconf_engine_handle_dbus_signal at dconf-engine.c:1164
 #7 emit_signal_instance_in_idle_cb at gdbusconnection.c:3743
 #11 g_main_context_iteration at gmain.c:3773
 #12 dconf_gdbus_worker_thread at dconf-gdbus-thread.c:81
Comment 1 Martin Garton 2013-09-14 13:38:05 EDT
Created attachment 797671 [details]
File: backtrace
Comment 2 Martin Garton 2013-09-14 13:38:08 EDT
Created attachment 797672 [details]
File: cgroup
Comment 3 Martin Garton 2013-09-14 13:38:11 EDT
Created attachment 797673 [details]
File: core_backtrace
Comment 4 Martin Garton 2013-09-14 13:38:13 EDT
Created attachment 797674 [details]
File: dso_list
Comment 5 Martin Garton 2013-09-14 13:38:16 EDT
Created attachment 797675 [details]
File: environ
Comment 6 Martin Garton 2013-09-14 13:38:19 EDT
Created attachment 797676 [details]
File: exploitable
Comment 7 Martin Garton 2013-09-14 13:38:21 EDT
Created attachment 797677 [details]
File: limits
Comment 8 Martin Garton 2013-09-14 13:38:24 EDT
Created attachment 797678 [details]
File: maps
Comment 9 Martin Garton 2013-09-14 13:38:27 EDT
Created attachment 797679 [details]
File: open_fds
Comment 10 Martin Garton 2013-09-14 13:38:29 EDT
Created attachment 797680 [details]
File: proc_pid_status
Comment 11 Igor Gnatenko 2013-09-16 09:41:25 EDT
have this bug too.
Comment 12 Onuralp SEZER 2013-09-17 06:07:50 EDT
I was enabling extension and crashed same bug happened.
Comment 13 Ankur Sinha (FranciscoD) 2013-09-18 01:13:56 EDT
Seen this too. Didn't do much with tweak tool. 

gnome-tweak-tool-3.9.91-1.fc20.noarch
Comment 14 D. Charles Pyle 2013-10-01 14:38:33 EDT
Still seeing this as well.

gnome-tweak-tool-3.10.0-1.fc20.noarch

Occurred while modifying a setting in a Gnome-shell extension.
Comment 15 Alexander Todorov 2013-10-10 09:19:44 EDT
Same issue with gnome-tweak-tool-3.10.0-1.fc20.noarch
Comment 16 Kamil Páral 2013-10-10 10:17:50 EDT
I see this bug when I leave gnome-tweak-tool open for a long time (and don't touch it at all).
Comment 17 Ryan Lerch 2013-10-13 14:48:05 EDT
This one has now been fixed upstream:
https://bugzilla.gnome.org/show_bug.cgi?id=709223

Not sure when the changes will be pushed to f20.
Comment 18 Igor Gnatenko 2013-10-13 15:16:23 EDT
(In reply to Ryan Lerch from comment #17)
> This one has now been fixed upstream:
> https://bugzilla.gnome.org/show_bug.cgi?id=709223
> 
> Not sure when the changes will be pushed to f20.
will be on 3.10.1+ versions
Comment 19 Fedora End Of Life 2015-05-29 05:24:06 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-06-29 08:22:42 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.